﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using WPDemo.Resources;
using System.Threading.Tasks;

namespace WPDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Sample code to localize the ApplicationBar
            //BuildLocalizedApplicationBar();
        }

        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            var initialData = await Fetchs(0);
            var source = new LazyCollection<String>(Fetchs, initialData);
            list.ItemsSource = source;
        }

        private async Task<IEnumerable<string>> Fetchs(int skip)
        {
            // Finta attesa
            await Task.Delay(1000).ConfigureAwait(false);

            return Enumerable.Range(skip, 20).Select(n => n.ToString());
        }

    }
}